RegionRoleListenerAdapter (Apache Geode 1.9.0)
Date: 2019-04-19

org.apache.geode.cache.util

## Class RegionRoleListenerAdapter<K,V>

- java.lang.Object
- - org.apache.geode.cache.util.CacheListenerAdapter<K,V>
  - - org.apache.geode.cache.util.RegionMembershipListenerAdapter<K,V>
    - - org.apache.geode.cache.util.RegionRoleListenerAdapter<K,V>

- All Implemented Interfaces:
    CacheCallback, CacheListener<K,V>, Declarable, RegionMembershipListener<K,V>, RegionRoleListener<K,V>

  Deprecated.
  this feature is scheduled to be removed

      public abstract class RegionRoleListenerAdapter<K,V>
      extends RegionMembershipListenerAdapter<K,V>
      implements RegionRoleListener<K,V>

  Utility class that implements all methods in `RegionRoleListener` with empty implementations. Applications can subclass this class and only override the methods for the events of interest.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionRoleListenerAdapter()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRoleGain(RoleEvent<K,V> event)` Deprecated. Invoked when a required role has returned to the distributed system after being absent.
    `void` | `afterRoleLoss(RoleEvent<K,V> event)` Deprecated. Invoked when a required role is no longer available in the distributed system.

    - ### Methods inherited from class org.apache.geode.cache.util.RegionMembershipListenerAdapter

      `afterRemoteRegionCrash, afterRemoteRegionCreate, afterRemoteRegionDeparture, initialMembers`

    - ### Methods inherited from class org.apache.geode.cache.util.CacheListenerAdapter

      `afterCreate, afterDestroy, afterInvalidate, afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, afterUpdate, close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.CacheListener

      `afterCreate, afterDestroy, afterInvalidate, afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, afterUpdate`

    - ### Methods inherited from interface org.apache.geode.cache.CacheCallback

      `close`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `init, initialize`

- - ### Constructor Detail

    - #### RegionRoleListenerAdapter

          public RegionRoleListenerAdapter()

      Deprecated.

  - ### Method Detail

    - #### afterRoleGain

          public void afterRoleGain(RoleEvent<K,V> event)

      Deprecated.
      Description copied from interface: `RegionRoleListener`
      Invoked when a required role has returned to the distributed system after being absent.
      Specified by:
        `afterRoleGain` in interface `RegionRoleListener<K,V>`
      Parameters:
        `event` - describes the member that fills the required role.

    - #### afterRoleLoss

          public void afterRoleLoss(RoleEvent<K,V> event)

      Deprecated.
      Description copied from interface: `RegionRoleListener`
      Invoked when a required role is no longer available in the distributed system.
      Specified by:
        `afterRoleLoss` in interface `RegionRoleListener<K,V>`
      Parameters:
        `event` - describes the member that last filled the required role.